Add wellknown integration
Discover and persist an experimental wellknown integration source.
POST
/api/experimental/integration/wellknownQuery parameters
locationobject | anyRequest body
requiredapplication/jsonurlstringrequiredResponses
204<No Content>
400InvalidRequestError
Any of:
InvalidRequestError1
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
anyInvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequiredRequest
curl -X POST "/api/experimental/integration/wellknown" \
-H "Content-Type: application/json" \
-d '{
"url": "string"
}'const response = await fetch("/api/experimental/integration/wellknown", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"url": "string"
})
});import requests
response = requests.post(
"/api/experimental/integration/wellknown",
headers={
"Content-Type": "application/json"
},
json={
"url": "string"
},
)Response
<No Content>
{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}